Update a conversation
PATCH
/projects/{projectId}/conversations/{conversationId}
Authentication
API Key (header: X-API-Key)
Path Parameters
projectId
string
required
path
conversationId
string
required
path
Request Body
application/jsonResponses
200
Updated conversation
application/jsondata
object
id
string
project_id
string
contact_id
string | null
subject
string | null
status
string
Enum:
open, snoozed, resolved, closedpriority
string
Enum:
low, normal, high, urgentchannel
string
Enum:
email, chat, slack, discord, telegram, api, widgetassigned_to
string | null
tags
string[]
Array of:
ai_resolved
boolean
created_at
string (date-time)
updated_at
string (date-time)
curl -X PATCH 'https://api.rogeriq.com/api/v1/projects/string/conversations/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d 'null'
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/conversations/string', { method: 'PATCH', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify(null)});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.patch('https://api.rogeriq.com/api/v1/projects/string/conversations/string', headers=headers, json=null)print(response.json())
200
Response
{ "data": { "id": "<string>", "project_id": "<string>", "contact_id": "<string>", "subject": "<string>", "status": "open", "priority": "low", "channel": "email", "assigned_to": "<string>", "tags": [ "<string>" ], "ai_resolved": true, "created_at": "2024-01-01T00:00:00Z", "updated_at": "2024-01-01T00:00:00Z" }}
API Playground
Try this endpoint
PATCH
/projects/{projectId}/conversations/{conversationId}